<?php
/* Autor...: William L. Taype Perez */
/* Esquema.: VTA_OrdenDetalle.xml */
/* Generado: 2022-02-07 02:14:15 */

/* Mantenimiento de los registros de la tabla VTA_OrdenDetalle */
abstract class BaseVTA_OrdenDetalleDP extends VTA_OrdenDetalleBV
{
    /* Constructor ( Establece los valores desde un objeto VTA_OrdenDetalleBN ) */
    public function __construct( VTA_OrdenDetalleBN $o_VTA_OrdenDetalleBN = null )
    {
        parent::__construct();
        if ( !is_null( $o_VTA_OrdenDetalleBN ) )
        {
            $this->setByBN( $o_VTA_OrdenDetalleBN );
        }
    }

    public $b_Debug = false;

    public function getDebug()
    {
        if( SF_DEBUG )
        {
            $this->b_Debug = true;
        }
        return $this->b_Debug;
    }

    public function setDebug( $v )
    {
        $this->b_Debug = $v;
    }

    /* Establece los valores desde un objeto VTA_OrdenDetalleBN */
    public function setByBN( VTA_OrdenDetalleBN $o_VTA_OrdenDetalleBN )
    {
        if ( !is_null( $o_VTA_OrdenDetalleBN->getOrdenId() ) )
        {
            $this->setOrdenId( $o_VTA_OrdenDetalleBN->getOrdenId() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getOrdenDetalleNum() ) )
        {
            $this->setOrdenDetalleNum( $o_VTA_OrdenDetalleBN->getOrdenDetalleNum() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getItemTipo() ) )
        {
            $this->setItemTipo( $o_VTA_OrdenDetalleBN->getItemTipo() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getItemCod() ) )
        {
            $this->setItemCod( $o_VTA_OrdenDetalleBN->getItemCod() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getAlmacenCod() ) )
        {
            $this->setAlmacenCod( $o_VTA_OrdenDetalleBN->getAlmacenCod() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getLoteNum() ) )
        {
            $this->setLoteNum( $o_VTA_OrdenDetalleBN->getLoteNum() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getFechaVencimiento() ) )
        {
            $this->setFechaVencimiento( $o_VTA_OrdenDetalleBN->getFechaVencimiento() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getIdUnidad() ) )
        {
            $this->setIdUnidad( $o_VTA_OrdenDetalleBN->getIdUnidad() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getIdItemTipo() ) )
        {
            $this->setIdItemTipo( $o_VTA_OrdenDetalleBN->getIdItemTipo() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getOrdenDetalleDescripcion() ) )
        {
            $this->setOrdenDetalleDescripcion( $o_VTA_OrdenDetalleBN->getOrdenDetalleDescripcion() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getOrdenDetallePrecioNivel() ) )
        {
            $this->setOrdenDetallePrecioNivel( $o_VTA_OrdenDetalleBN->getOrdenDetallePrecioNivel() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getCostoUnidadIncImpuesto() ) )
        {
            $this->setCostoUnidadIncImpuesto( $o_VTA_OrdenDetalleBN->getCostoUnidadIncImpuesto() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getCostoUnidadIncImpuestoMN() ) )
        {
            $this->setCostoUnidadIncImpuestoMN( $o_VTA_OrdenDetalleBN->getCostoUnidadIncImpuestoMN() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getOrdenDetallePrecioUnidad() ) )
        {
            $this->setOrdenDetallePrecioUnidad( $o_VTA_OrdenDetalleBN->getOrdenDetallePrecioUnidad() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getOrdenDetallePrecioUnidadMN() ) )
        {
            $this->setOrdenDetallePrecioUnidadMN( $o_VTA_OrdenDetalleBN->getOrdenDetallePrecioUnidadMN() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getOrdenDetalleDsctoUnidad() ) )
        {
            $this->setOrdenDetalleDsctoUnidad( $o_VTA_OrdenDetalleBN->getOrdenDetalleDsctoUnidad() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getOrdenDetalleDsctoUnidadMN() ) )
        {
            $this->setOrdenDetalleDsctoUnidadMN( $o_VTA_OrdenDetalleBN->getOrdenDetalleDsctoUnidadMN() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getOrdenDetalleAfectoImpuesto() ) )
        {
            $this->setOrdenDetalleAfectoImpuesto( $o_VTA_OrdenDetalleBN->getOrdenDetalleAfectoImpuesto() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getOrdenDetalleImpuestoUnidad() ) )
        {
            $this->setOrdenDetalleImpuestoUnidad( $o_VTA_OrdenDetalleBN->getOrdenDetalleImpuestoUnidad() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getOrdenDetalleImpuestoUnidadMN() ) )
        {
            $this->setOrdenDetalleImpuestoUnidadMN( $o_VTA_OrdenDetalleBN->getOrdenDetalleImpuestoUnidadMN() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getPrecioUnidadIncImpuesto() ) )
        {
            $this->setPrecioUnidadIncImpuesto( $o_VTA_OrdenDetalleBN->getPrecioUnidadIncImpuesto() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getPrecioUnidadIncImpuestoMN() ) )
        {
            $this->setPrecioUnidadIncImpuestoMN( $o_VTA_OrdenDetalleBN->getPrecioUnidadIncImpuestoMN() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getOrdenDetalleCantidad() ) )
        {
            $this->setOrdenDetalleCantidad( $o_VTA_OrdenDetalleBN->getOrdenDetalleCantidad() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getOrdenDetalleSubTotalVenta() ) )
        {
            $this->setOrdenDetalleSubTotalVenta( $o_VTA_OrdenDetalleBN->getOrdenDetalleSubTotalVenta() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getOrdenDetalleSubTotalVentaMN() ) )
        {
            $this->setOrdenDetalleSubTotalVentaMN( $o_VTA_OrdenDetalleBN->getOrdenDetalleSubTotalVentaMN() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getOrdenDetalleSubTotalImpuesto() ) )
        {
            $this->setOrdenDetalleSubTotalImpuesto( $o_VTA_OrdenDetalleBN->getOrdenDetalleSubTotalImpuesto() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getOrdenDetalleSubTotalImpuestoMN() ) )
        {
            $this->setOrdenDetalleSubTotalImpuestoMN( $o_VTA_OrdenDetalleBN->getOrdenDetalleSubTotalImpuestoMN() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getOrdenDetalleSubTotalNeto() ) )
        {
            $this->setOrdenDetalleSubTotalNeto( $o_VTA_OrdenDetalleBN->getOrdenDetalleSubTotalNeto() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getOrdenDetalleSubTotalNetoMN() ) )
        {
            $this->setOrdenDetalleSubTotalNetoMN( $o_VTA_OrdenDetalleBN->getOrdenDetalleSubTotalNetoMN() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getDocRefTipoCod() ) )
        {
            $this->setDocRefTipoCod( $o_VTA_OrdenDetalleBN->getDocRefTipoCod() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getDocRefNum() ) )
        {
            $this->setDocRefNum( $o_VTA_OrdenDetalleBN->getDocRefNum() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getDocRefId() ) )
        {
            $this->setDocRefId( $o_VTA_OrdenDetalleBN->getDocRefId() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getOrdenDetalleObs() ) )
        {
            $this->setOrdenDetalleObs( $o_VTA_OrdenDetalleBN->getOrdenDetalleObs() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getOrdenDetalleEstado() ) )
        {
            $this->setOrdenDetalleEstado( $o_VTA_OrdenDetalleBN->getOrdenDetalleEstado() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getUsuarioCreacion() ) )
        {
            $this->setUsuarioCreacion( $o_VTA_OrdenDetalleBN->getUsuarioCreacion() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getFechaCreacion() ) )
        {
            $this->setFechaCreacion( $o_VTA_OrdenDetalleBN->getFechaCreacion() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getUsuarioModificacion() ) )
        {
            $this->setUsuarioModificacion( $o_VTA_OrdenDetalleBN->getUsuarioModificacion() );
        }
        if ( !is_null( $o_VTA_OrdenDetalleBN->getFechaModificacion() ) )
        {
            $this->setFechaModificacion( $o_VTA_OrdenDetalleBN->getFechaModificacion() );
        }
    }

    /* Graba un nuevo registro */
    public function save()
    {
        $this->validateRecord();
        $o_VTA_OrdenDetalleFN = new VTA_OrdenDetalleFN();
        $o_VTA_OrdenDetalleBN = $o_VTA_OrdenDetalleFN->selectByPk( $this->getOrdenId(), $this->getOrdenDetalleNum() );
        if ( is_null( $o_VTA_OrdenDetalleBN ) )
        {
            $s_SQLQuery1 = "INSERT INTO VTA_OrdenDetalle ( ";
            $s_SQLQuery2 = "VALUES ( ";
            $s_Separator = "";
            if ( !is_null( $this->getOrdenId() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenId";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleNum() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenDetalleNum";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenDetalleNum()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getItemTipo() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ItemTipo";
                $s_SQLQuery2 .= $s_Separator."'".$this->getItemTipo()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getItemCod() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ItemCod";
                $s_SQLQuery2 .= $s_Separator."'".$this->getItemCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getAlmacenCod() ) )
            {
                $s_SQLQuery1 .= $s_Separator."AlmacenCod";
                $s_SQLQuery2 .= $s_Separator."'".$this->getAlmacenCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getLoteNum() ) )
            {
                $s_SQLQuery1 .= $s_Separator."LoteNum";
                $s_SQLQuery2 .= $s_Separator."'".$this->getLoteNum()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaVencimiento() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaVencimiento";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaVencimiento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdUnidad() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdUnidad";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdUnidad()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdItemTipo() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdItemTipo";
                $s_SQLQuery2 .= $s_Separator."'".$this->getIdItemTipo()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleDescripcion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenDetalleDescripcion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getOrdenDetalleDescripcion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetallePrecioNivel() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenDetallePrecioNivel";
                $s_SQLQuery2 .= $s_Separator."'".$this->getOrdenDetallePrecioNivel()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCostoUnidadIncImpuesto() ) )
            {
                $s_SQLQuery1 .= $s_Separator."CostoUnidadIncImpuesto";
                $s_SQLQuery2 .= $s_Separator."".$this->getCostoUnidadIncImpuesto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCostoUnidadIncImpuestoMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."CostoUnidadIncImpuestoMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getCostoUnidadIncImpuestoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetallePrecioUnidad() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenDetallePrecioUnidad";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenDetallePrecioUnidad()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetallePrecioUnidadMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenDetallePrecioUnidadMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenDetallePrecioUnidadMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleDsctoUnidad() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenDetalleDsctoUnidad";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenDetalleDsctoUnidad()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleDsctoUnidadMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenDetalleDsctoUnidadMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenDetalleDsctoUnidadMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleAfectoImpuesto() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenDetalleAfectoImpuesto";
                $s_SQLQuery2 .= $s_Separator."'".$this->getOrdenDetalleAfectoImpuesto()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleImpuestoUnidad() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenDetalleImpuestoUnidad";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenDetalleImpuestoUnidad()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleImpuestoUnidadMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenDetalleImpuestoUnidadMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenDetalleImpuestoUnidadMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioUnidadIncImpuesto() ) )
            {
                $s_SQLQuery1 .= $s_Separator."PrecioUnidadIncImpuesto";
                $s_SQLQuery2 .= $s_Separator."".$this->getPrecioUnidadIncImpuesto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioUnidadIncImpuestoMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."PrecioUnidadIncImpuestoMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getPrecioUnidadIncImpuestoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleCantidad() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenDetalleCantidad";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenDetalleCantidad()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleSubTotalVenta() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenDetalleSubTotalVenta";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenDetalleSubTotalVenta()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleSubTotalVentaMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenDetalleSubTotalVentaMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenDetalleSubTotalVentaMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleSubTotalImpuesto() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenDetalleSubTotalImpuesto";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenDetalleSubTotalImpuesto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleSubTotalImpuestoMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenDetalleSubTotalImpuestoMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenDetalleSubTotalImpuestoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleSubTotalNeto() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenDetalleSubTotalNeto";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenDetalleSubTotalNeto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleSubTotalNetoMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenDetalleSubTotalNetoMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenDetalleSubTotalNetoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocRefTipoCod() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DocRefTipoCod";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDocRefTipoCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocRefNum() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DocRefNum";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDocRefNum()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocRefId() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DocRefId";
                $s_SQLQuery2 .= $s_Separator."".$this->getDocRefId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleObs() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenDetalleObs";
                $s_SQLQuery2 .= $s_Separator."'".$this->getOrdenDetalleObs()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleEstado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenDetalleEstado";
                $s_SQLQuery2 .= $s_Separator."'".$this->getOrdenDetalleEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioCreacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioCreacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCreacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaCreacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioModificacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioModificacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaModificacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaModificacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaModificacion()."'";
                $s_Separator = ", ";
            }
            $s_SQLQuery = $s_SQLQuery1." ) ".$s_SQLQuery2." );";
            if( $this->getDebug() ){ pr( $s_SQLQuery ); }
            $o_Resource = Conexion::getConexion();
            $o_Statement = $o_Resource->createStatement();
            $o_Statement->executeQuery( $s_SQLQuery );
        }
        else
        {
            throw new Exception( "El id ya esta registrado." );
        }
        return true;
    }

    /* Actualiza los datos del registro */
    public function update()
    {
        $this->validateRecord();
        if ( true )
        {
            $s_SQLQuery = "UPDATE VTA_OrdenDetalle SET ";
            $s_Separator = "";
            if ( !is_null( $this->getItemTipo() ) )
            {
                $s_SQLQuery .= $s_Separator."ItemTipo = '".$this->getItemTipo()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getItemCod() ) )
            {
                $s_SQLQuery .= $s_Separator."ItemCod = '".$this->getItemCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getAlmacenCod() ) )
            {
                $s_SQLQuery .= $s_Separator."AlmacenCod = '".$this->getAlmacenCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getLoteNum() ) )
            {
                $s_SQLQuery .= $s_Separator."LoteNum = '".$this->getLoteNum()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaVencimiento() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaVencimiento = '".$this->getFechaVencimiento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdUnidad() ) )
            {
                $s_SQLQuery .= $s_Separator."IdUnidad = ".$this->getIdUnidad()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdItemTipo() ) )
            {
                $s_SQLQuery .= $s_Separator."IdItemTipo = '".$this->getIdItemTipo()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleDescripcion() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenDetalleDescripcion = '".$this->getOrdenDetalleDescripcion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetallePrecioNivel() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenDetallePrecioNivel = '".$this->getOrdenDetallePrecioNivel()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCostoUnidadIncImpuesto() ) )
            {
                $s_SQLQuery .= $s_Separator."CostoUnidadIncImpuesto = ".$this->getCostoUnidadIncImpuesto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCostoUnidadIncImpuestoMN() ) )
            {
                $s_SQLQuery .= $s_Separator."CostoUnidadIncImpuestoMN = ".$this->getCostoUnidadIncImpuestoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetallePrecioUnidad() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenDetallePrecioUnidad = ".$this->getOrdenDetallePrecioUnidad()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetallePrecioUnidadMN() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenDetallePrecioUnidadMN = ".$this->getOrdenDetallePrecioUnidadMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleDsctoUnidad() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenDetalleDsctoUnidad = ".$this->getOrdenDetalleDsctoUnidad()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleDsctoUnidadMN() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenDetalleDsctoUnidadMN = ".$this->getOrdenDetalleDsctoUnidadMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleAfectoImpuesto() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenDetalleAfectoImpuesto = '".$this->getOrdenDetalleAfectoImpuesto()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleImpuestoUnidad() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenDetalleImpuestoUnidad = ".$this->getOrdenDetalleImpuestoUnidad()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleImpuestoUnidadMN() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenDetalleImpuestoUnidadMN = ".$this->getOrdenDetalleImpuestoUnidadMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioUnidadIncImpuesto() ) )
            {
                $s_SQLQuery .= $s_Separator."PrecioUnidadIncImpuesto = ".$this->getPrecioUnidadIncImpuesto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioUnidadIncImpuestoMN() ) )
            {
                $s_SQLQuery .= $s_Separator."PrecioUnidadIncImpuestoMN = ".$this->getPrecioUnidadIncImpuestoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleCantidad() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenDetalleCantidad = ".$this->getOrdenDetalleCantidad()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleSubTotalVenta() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenDetalleSubTotalVenta = ".$this->getOrdenDetalleSubTotalVenta()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleSubTotalVentaMN() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenDetalleSubTotalVentaMN = ".$this->getOrdenDetalleSubTotalVentaMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleSubTotalImpuesto() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenDetalleSubTotalImpuesto = ".$this->getOrdenDetalleSubTotalImpuesto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleSubTotalImpuestoMN() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenDetalleSubTotalImpuestoMN = ".$this->getOrdenDetalleSubTotalImpuestoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleSubTotalNeto() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenDetalleSubTotalNeto = ".$this->getOrdenDetalleSubTotalNeto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleSubTotalNetoMN() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenDetalleSubTotalNetoMN = ".$this->getOrdenDetalleSubTotalNetoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocRefTipoCod() ) )
            {
                $s_SQLQuery .= $s_Separator."DocRefTipoCod = '".$this->getDocRefTipoCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocRefNum() ) )
            {
                $s_SQLQuery .= $s_Separator."DocRefNum = '".$this->getDocRefNum()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocRefId() ) )
            {
                $s_SQLQuery .= $s_Separator."DocRefId = ".$this->getDocRefId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleObs() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenDetalleObs = '".$this->getOrdenDetalleObs()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDetalleEstado() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenDetalleEstado = '".$this->getOrdenDetalleEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioCreacion() ) )
            {
                $s_SQLQuery .= $s_Separator."UsuarioCreacion = '".$this->getUsuarioCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCreacion() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaCreacion = '".$this->getFechaCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioModificacion() ) )
            {
                $s_SQLQuery .= $s_Separator."UsuarioModificacion = '".$this->getUsuarioModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaModificacion() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaModificacion = '".$this->getFechaModificacion()."'";
                $s_Separator = ", ";
            }
            $s_SQLQuery .= " WHERE  OrdenId = ".$this->getOrdenId()." AND  OrdenDetalleNum = ".$this->getOrdenDetalleNum().";";
            if( $this->getDebug() ){ pr( $s_SQLQuery ); }

            $o_Resource = Conexion::getConexion();
            $o_Statement = $o_Resource->createStatement();
            $o_Statement->executeQuery( $s_SQLQuery );
        }
        else
        {
            throw new Exception( "El id no esta registrado." );
        }
        return true;
    }

    /* Elimina el registro */
    public function delete()
    {
        $s_SQLQuery = "DELETE FROM VTA_OrdenDetalle WHERE  OrdenId = ".$this->getOrdenId()." AND  OrdenDetalleNum = ".$this->getOrdenDetalleNum().";";
        if( $this->getDebug() ){ pr( $s_SQLQuery ); }
        $o_Resource = Conexion::getConexion();
        $o_Statement = $o_Resource->createStatement();
        $o_Statement->executeQuery( $s_SQLQuery );
        return true;
    }

}
?>